<template>
  <div>
    <img class="fixed-right" style="top:20%" src="/statics/fontgeomentry.png">
    <div class="row">
      <div class="q-mt-md q-ml-md col-10">
        <div class="flex items-center q-mx-md">
          <img class="q-my-md q-mr-md" style="height:36px" src="/statics/ava2.png"  alt="">
          <div class="q-mx-md" style="font-weight: 600; font-size: 18px; line-height: 22px;">Да, я рисую</div>
          <q-btn class="q-mx-sm" style="background: #1D1C1C; color: #fff; width: 161px; font-size: 14px;">Мое портфолио</q-btn>
        </div>
      </div>
      <div class="col-10" style="margin-left: 32px; font-weight: 600; font-size: 14px; line-height: 17px;">
        Автор: 122 покупок, 6 заказов
      </div>
      <div class="col-10 q-ml-md q-mt-sm">
        <img class="q-ml-md" src="/statics/cardnumber.png" alt="">
      </div>
      <div class="col-6" style="margin-left: 32px;">
        Художник использует различные стили: офорт, рисунок пером и тушью в различных техниках, классическую графику. Отдельное направление в творчестве - цифровая графика, представленная в виде широкого цикла работ в стиле пейнт-арт и пиксел-арт.
      </div>
    </div>
    <div class="orders-block" style="margin-left: 32px;">
      <h4 class="orders-title">Мои заказы</h4>
      <div class="orders">
        <order v-for="order in orders" :key="order.id" :order="order"></order>
      </div>
    </div>
  </div>
</template>

<script>
import order from '../components/Profile/order'
export default {
  name: 'ProfilePage',
  data () {
    return {
      orders: [
        {
          id: 0,
          user: 'Эвелина Хомякова',
          status: 'Новый заказ',
          price: 1400,
          date: '12.05.2021',
          title: 'Принт на тему фентези',
          comment: 'Не надо мелчить и деталить, типа "пуговки должны быть не 6 угольные, а 8 угольные".\n' +
            'Ты художнику работу доверяешь, он не будет из твоей головы рисовать, он тебе не фотошоп твоей руки, он самостоятельная думающая...',
          chat: [
            { id: 0 },
            { id: 1 },
            { id: 2 }
          ]
        },
        {
          id: 1,
          user: 'Александра Горшенина',
          status: 'Ожидает оплаты',
          price: 1488,
          date: '14.02.2022',
          title: 'Котик на блокнотик',
          comment: 'Не надо мелчить и деталить, типа "пуговки должны быть не 6 угольные, а 8 угольные".\n' +
            'Ты художнику работу доверяешь, он не будет из твоей головы рисовать, он тебе не фотошоп твоей руки, он самостоятельная думающая...',
          chat: []
        },
        {
          id: 2,
          user: 'Владимир Черномырдин',
          status: 'В работе',
          price: 9000,
          date: '2.02.2021',
          title: 'Хочу принт',
          comment: 'Не надо мелчить и деталить, типа "пуговки должны быть не 6 угольные, а 8 угольные".\n' +
            'Ты художнику работу доверяешь, он не будет из твоей головы рисовать, он тебе не фотошоп твоей руки, он самостоятельная думающая...',
          chat: [
            { id: 0 },
            { id: 1 },
            { id: 2 },
            { id: 3 },
            { id: 4 }
          ]
        }
      ]
    }
  },
  components: { order }
}
</script>

<style lang="sass">
.orders-title
  margin-top: 48px
  font-style: normal
  font-weight: 600
  font-size: 14px
  line-height: 17px
</style>
